function y = hl_open()
%=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
% hopslook - visualization tool for NetCDF output in HOPS
% Author: P. Oddo, Unibo Ravenna, Italy (p.oddo@ambra.unibo.it)
%
%=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

global THENETCDF
[theFile thePath]=uigetfile('*.nc','Select the Hops results file');
%
theNetCDFFile = [thePath theFile];
switch class(theNetCDFFile)
case 'char'
   THENETCDF = netcdf(theNetCDFFile, 'nowrite');
case 'netcdf'
   THENETCDF = theNetCDFFile;
otherwise
end
if length(theFile)>1
hopslook_init
hopslook_inquire
end

