function y = hopslook()
%=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
% hopslook - visualization tool for NetCDF output in HOPS
% Author: P. Oddo, Unibo Ravenna, Italy (p.oddo@ambra.unibo.it)
%
%=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
global theFigure
global THENETCDF
global theControls
theDims = dim(THENETCDF);
theVars = var(THENETCDF);
theAtts = att(THENETCDF);

theDimnames = [ ncnames(theDims)];
theVarnames = [ ncnames(theVars)];
theAttnames = [ ncnames(theAtts)];

conta=0;
names=strvcat(theVarnames);
l=size(names);
mievar=[];
for i=1:l(1)
  v=deblank(strvcat(theVarnames(i)));
  theVar = ncvar(v,THENETCDF);
  s = size(theVar);
  ss= (length(s));
   if ss>3
     conta=conta+1;
     mievar=strvcat(mievar,v);
     mievar2(conta)=theVarnames(i);
   end
end
%
depth=THENETCDF{'outlev'}(:);
if length(depth) < 1
depth=THENETCDF{'zout'}(:);
if length(depth) < 1
depth=THENETCDF{'refz'}(:);
else
depth=depth(:,3);
%depth=char(depth);
end
end
time=THENETCDF{'time'}(:);

%set(theControls(4), 'String', theVarnames)
set(theControls(4), 'String', mievar2)
set(theControls(6), 'String', depth)
set(theControls(7), 'String', time)
set(theControls(9), 'String', theAttnames)
set(theFigure, 'Visible', 'on');
