function make_surf(plotto,grid);
dim=size(plotto);
velu=plotto(1:4:dim(1),1:4:dim(2),1);
velv=plotto(1:4:dim(1),1:4:dim(2),2);
lon=grid(1:4:dim(1),1:4:dim(2),1);
lat=grid(1:4:dim(1),1:4:dim(2),2);
h=figure
m_proj('equidistant cylindrical','lon',[min(min(lon)) max(max(lon))],'lat',[min(min(lat)) max(max(lat))]);
hold on
%m_usercoast('HAREM2','patch',[.6 .6 .6]);
m_coast('patch',[.6 .6 .6]);
scl=max(max(velu))*10;
m_vec(scl,lon,lat, ....
      velu,velv, ....
      'shaftwidth',0.3,'headlength',2.5)
m_vec(scl,13.0,40.0,30.0,0.0,'key','30 cm/s')
m_vec(scl,14.0,45.5,10.0,0.0,'key','10 cm/s')
m_grid('box','fancy','ytick',12,'xtick',10)
